Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 708)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 709)
@@ -470,107 +521,123 @@
           
        ENDDO
-!
-!--    Vertical advection, degradation of order near surface and top. 
-!--    The fluxes flux_d and diss_d at the surface are 0. Due to reasons of
-!--    statistical evaluation the top flux at the surface should be 0
-
-       flux_t(nzb_s_inner(j,i)) = 0.
-       diss_t(nzb_s_inner(j,i)) = 0.
+
+!
+!--    Vertical advection, degradation of order near bottom and top. 
+!--    The fluxes flux_d and diss_d at the surface are 0. Due to later
+!--    calculation of statistics the top flux at the surface should be 0.
+       flux_t(nzb_s_inner(j,i)) = 0.0
+       diss_t(nzb_s_inner(j,i)) = 0.0
+
 !       
-!--    2nd order scheme       
+!--    2nd-order scheme (bottom)
        k         = nzb_s_inner(j,i) + 1
        flux_d    = flux_t(k-1)
        diss_d    = diss_t(k-1)
        flux_t(k) = w(k,j,i) * ( sk(k+1,j,i) + sk(k,j,i) ) * 0.5
+
 !       
-!--    sk(k,j,i) is referenced three times to avoid a access below surface.
+!--    sk(k,j,i) is referenced three times to avoid an access below surface
        diss_t(k) = diss_2nd( sk(k+2,j,i), sk(k+1,j,i), sk(k,j,i), sk(k,j,i),  &
                              sk(k,j,i), w(k,j,i), 0.5, ddzw(k) )
                    
-       tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k)                    &
-                                 - ( flux_d + diss_d )     ) * ddzw(k)
-!
-!--    WS3 as an intermediate step       
+       tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k) - flux_d - diss_d ) &
+                                   * ddzw(k)
+!
+!--    WS3 as an intermediate step (bottom)
        k         = nzb_s_inner(j,i) + 2
        flux_d    = flux_t(k-1)
        diss_d    = diss_t(k-1)
        flux_t(k) = w(k,j,i) * (                                               &
-                   7. * ( sk(k+1,j,i) + sk(k,j,i)   )                         &
-                   -    ( sk(k+2,j,i) + sk(k-1,j,i) ) ) * adv_sca_3
-       diss_t(k) = - abs(w(k,j,i)) * (                                        &
-                   3. * ( sk(k+1,j,i) - sk(k,j,i)   )                         & 
-                   -    ( sk(k+2,j,i) - sk(k-1,j,i) ) ) * adv_sca_3
-
-       tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k)                    &
-                                 - ( flux_d + diss_d ) ) * ddzw(k)
+                                7.0 * ( sk(k+1,j,i) + sk(k,j,i)   )           &
+                                    - ( sk(k+2,j,i) + sk(k-1,j,i) )           &
+                              ) * adv_sca_3
+       diss_t(k) = -ABS( w(k,j,i) ) * (                                       &
+                                3.0 * ( sk(k+1,j,i) - sk(k,j,i)   )           & 
+                                    - ( sk(k+2,j,i) - sk(k-1,j,i) )           &
+                                      ) * adv_sca_3
+
+       tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k) - flux_d - diss_d ) &
+                                   * ddzw(k)
 !
 !--    WS5
-       DO  k = nzb_s_inner(j,i) + 3, nzt - 2
+       DO  k = nzb_s_inner(j,i)+3, nzt-2
        
           flux_d    = flux_t(k-1)
-          diss_d    = diss_t(k-1)
-          
-          flux_t(k) = w(k,j,i) * (                                            &  
-                      37.  * ( sk(k+1,j,i) + sk(k,j,i)   )                    &
-                      - 8. * ( sk(k+2,j,i) + sk(k-1,j,i) )                    &
-                      +      ( sk(k+3,j,i) + sk(k-2,j,i) ) ) *adv_sca_5
-          diss_t(k) = - abs(w(k,j,i)) * (                                     & 
-                      10.  * ( sk(k+1,j,i) - sk(k,j,i)   )                    &      
-                      - 5. * ( sk(k+2,j,i) - sk(k-1,j,i) )                    &
-                      +      ( sk(k+3,j,i) - sk(k-2,j,i) ) ) * adv_sca_5
+          diss_d    = diss_t(k-1)          
+          flux_t(k) = w(k,j,i) * (                                            &
+                                   37.0 * ( sk(k+1,j,i) + sk(k,j,i)   )       &
+                                 -  8.0 * ( sk(k+2,j,i) + sk(k-1,j,i) )       &
+                                 +        ( sk(k+3,j,i) + sk(k-2,j,i) )       &
+                                 ) * adv_sca_5
+          diss_t(k) = -ABS( w(k,j,i) ) * (                                     &
+                                           10.0 * ( sk(k+1,j,i) - sk(k,j,i)   )&
+                                         -  5.0 * ( sk(k+2,j,i) - sk(k-1,j,i) )&
+                                         +        ( sk(k+3,j,i) - sk(k-2,j,i) )&
+                                         ) * adv_sca_5
 
           tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k)                 &
                                     - ( flux_d + diss_d ) ) * ddzw(k)
+
        ENDDO
-!
-!--    WS3 as an intermediate step 
+
+!
+!--    WS3 as an intermediate step (top)
        k         = nzt - 1
        flux_d    = flux_t(k-1)
        diss_d    = diss_t(k-1)
-       flux_t(k) = w(k,j,i) * (                                               &
-                   7. * ( sk(k+1,j,i) + sk(k,j,i) )                           &
-                   -    ( sk(k+2,j,i) + sk(k-1,j,i) ) ) * adv_sca_3
-       diss_t(k) = - abs(w(k,j,i)) * (                                        &
-                   3. * ( sk(k+1,j,i) - sk(k,j,i) )                           & 
-                   -    ( sk(k+2,j,i) - sk(k-1,j,i) ) ) * adv_sca_3
-
-       tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k)                    &
-                                 - ( flux_d + diss_d ) ) * ddzw(k)
+       flux_t(k) = w(k,j,i) * (                                                &
+                                7.0 * ( sk(k+1,j,i) + sk(k,j,i)   )            &
+                                    - ( sk(k+2,j,i) + sk(k-1,j,i) )            &
+                              ) * adv_sca_3
+       diss_t(k) = -ABS( w(k,j,i) ) * (                                        &
+                                        3.0 * ( sk(k+1,j,i) - sk(k,j,i)   )    &
+                                            - ( sk(k+2,j,i) - sk(k-1,j,i) )    &
+                                      ) * adv_sca_3
+
+       tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k) - flux_d - diss_d ) &
+                                   * ddzw(k)
 !                                 
-!--    2nd
+!--    2nd-order scheme (top)
        k         = nzt 
        flux_d    = flux_t(k-1)
        diss_d    = diss_t(k-1)
-       flux_t(k) = w(k,j,i) * ( sk(k+1,j,i) + sk(k,j,i) ) *0.5
+       flux_t(k) = w(k,j,i) * ( sk(k+1,j,i) + sk(k,j,i) ) * 0.5
+
 !       
-!--    sk(k+1) is referenced two times to avoid a segmentation fault at top.
-       diss_t(k) = diss_2nd( sk(k+1,j,i), sk(k+1,j,i), sk(k,j,i), sk(k-1,j,i),&
+!--    sk(k+1) is referenced two times to avoid a segmentation fault at top
+       diss_t(k) = diss_2nd( sk(k+1,j,i), sk(k+1,j,i), sk(k,j,i), sk(k-1,j,i), &
                              sk(k-2,j,i), w(k,j,i), 0.5, ddzw(k) )
 
-       tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k)                    &
-                                 - ( flux_d + diss_d ) ) * ddzw(k)
+       tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k) - flux_d - diss_d ) &
+                                   * ddzw(k)
 !       
-!--    evaluation of statistics
+!--    Evaluation of statistics
        SELECT CASE ( sk_char )
 
           CASE ( 'pt' )
-            DO  k = nzb_s_inner(j,i), nzt
-               sums_wspts_ws_l(k,:) = sums_wspts_ws_l(k,:)                     &
-                 + (flux_t(k)+diss_t(k))                                       &
-                 * weight_substep(intermediate_timestep_count) * rmask(j,i,:)
+
+             DO  k = nzb_s_inner(j,i), nzt
+                sums_wspts_ws_l(k,:) = sums_wspts_ws_l(k,:) +                  &
+                                       ( flux_t(k) + diss_t(k) )               &
+                                 * weight_substep(intermediate_timestep_count) &
+                                       * rmask(j,i,:)
              ENDDO
              
           CASE ( 'sa' )
-            DO  k = nzb_s_inner(j,i), nzt
-               sums_wssas_ws_l(k,:) = sums_wssas_ws_l(k,:)                     &
-                 +(flux_t(k)+diss_t(k))                                        &
-                 * weight_substep(intermediate_timestep_count) * rmask(j,i,:)
+
+             DO  k = nzb_s_inner(j,i), nzt
+                sums_wssas_ws_l(k,:) = sums_wssas_ws_l(k,:) +                  &
+                                       ( flux_t(k) + diss_t(k) )               &
+                                 * weight_substep(intermediate_timestep_count) &
+                                       * rmask(j,i,:)
              ENDDO
              
           CASE ( 'q' )
+
              DO  k = nzb_s_inner(j,i), nzt
-                sums_wsqs_ws_l(k,:) = sums_wsqs_ws_l(k,:)                      &
-                  + (flux_t(k)+diss_t(k))                                      &
-                  * weight_substep(intermediate_timestep_count) * rmask(j,i,:)
+                sums_wsqs_ws_l(k,:)  = sums_wsqs_ws_l(k,:) +                   &
+                                      ( flux_t(k) + diss_t(k) )                &
+                                 * weight_substep(intermediate_timestep_count) &
+                                      * rmask(j,i,:)
              ENDDO
 
Index: palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz.f90	(revision 708)
+++ palm/trunk/SOURCE/exchange_horiz.f90	(revision 709)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! formatting adjustments
 !
 ! Former revisions:
@@ -69,5 +69,5 @@
 
 !
-!-- Exchange of lateral boundary values for parallel computers
+!-- Exchange of lateral boundary values
     IF ( pdims(1) == 1  .OR.  mg_switch_to_pe0 )  THEN
 !
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 708)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 709)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! formatting adjustments
 !
 ! Former revisions:
@@ -114,4 +115,5 @@
     USE arrays_3d
     USE cloud_parameters
+    USE control_parameters
     USE cpulog
     USE grid_variables
@@ -120,5 +122,4 @@
     USE pegrid
     USE statistics
-    USE control_parameters
 
     IMPLICIT NONE
@@ -738,9 +739,8 @@
           ENDDO
        ENDDO
-!-     for reasons of speed optimization the loop is splitted, to avoid if-else
-!-     statements inside the loop
-!-     Fluxes which have been computed in part directly inside the advection routines
-!-     treated seperatly.
-!-     First treat the momentum fluxes
+!
+!--    For speed optimization fluxes which have been computed in part directly
+!--    inside the WS advection routines are treated seperatly
+!--    Momentum fluxes first:
        IF ( .NOT. ws_scheme_mom )  THEN
          !$OMP DO
@@ -771,6 +771,7 @@
          DO  i = nxl, nxr
             DO  j = nys, nyn
-               DO  k = nzb_diff_s_inner(j,i) - 1, nzt_diff
-!-                vertical heat flux
+               DO  k = nzb_diff_s_inner(j,i)-1, nzt_diff
+!
+!--               Vertical heat flux
                   sums_l(k,17,tn) = sums_l(k,17,tn) +  0.5 * &
                            ( pt(k,j,i)   - hom(k,1,4,sr) + &
@@ -1221,5 +1222,2 @@
 
  END SUBROUTINE flow_statistics
-
-
-
Index: palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- palm/trunk/SOURCE/inflow_turbulence.f90	(revision 708)
+++ palm/trunk/SOURCE/inflow_turbulence.f90	(revision 709)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! formatting adjustments
 !
 ! Former revisions:
@@ -54,5 +55,4 @@
 !
 !-- First, local averaging within the recycling domain
-
     i = recycling_plane
 
@@ -79,6 +79,6 @@
 !-- Now, averaging over all PEs
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLREDUCE( avpr_l(nzb,1,1), avpr(nzb,1,1), ngp_pr,  & 
-                    MPI_REAL, MPI_SUM, comm2d, ierr )
+    CALL MPI_ALLREDUCE( avpr_l(nzb,1,1), avpr(nzb,1,1), ngp_pr, MPI_REAL, &
+                        MPI_SUM, comm2d, ierr )
 
 #else
@@ -165,9 +165,10 @@
           DO  k = nzb, nzt + 1
 
-              u(k,j,-nbgp+1:0)   = mean_inflow_profiles(k,1) + &
+              u(k,j,-nbgp+1:0) = mean_inflow_profiles(k,1) + &
                            inflow_dist(k,j,1,1:nbgp) * inflow_damping_factor(k)
               v(k,j,-nbgp:-1)  = mean_inflow_profiles(k,2) + &
                            inflow_dist(k,j,2,1:nbgp) * inflow_damping_factor(k)
-              w(k,j,-nbgp:-1)  = inflow_dist(k,j,3,1:nbgp) * inflow_damping_factor(k)
+              w(k,j,-nbgp:-1)  =                             &
+                           inflow_dist(k,j,3,1:nbgp) * inflow_damping_factor(k)
               pt(k,j,-nbgp:-1) = mean_inflow_profiles(k,4) + &
                            inflow_dist(k,j,4,1:nbgp) * inflow_damping_factor(k)
@@ -181,40 +182,4 @@
     ENDIF
 
-!
-!-- Conserve the volume flow at the inflow in order to avoid generation of
-!-- waves in the stable layer
-!    IF ( conserve_volume_flow  .AND.  inflow_l )  THEN
-
-!       volume_flow(1)   = 0.0
-!       volume_flow_l(1) = 0.0
-
-!       i = 0
-
-!       DO  j = nys, nyn
-!
-!--       Sum up the volume flow through the south/north boundary
-!          DO  k = nzb_2d(j,i) + 1, nzt
-!             volume_flow_l(1) = volume_flow_l(1) + u(k,j,i) * dzu(k)
-!          ENDDO
-!       ENDDO
-
-#if defined( __parallel )   
-!       IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-!       CALL MPI_ALLREDUCE( volume_flow_l(1), volume_flow(1), 1, MPI_REAL, &
-!                           MPI_SUM, comm1dy, ierr )   
-#else
-!       volume_flow = volume_flow_l  
-#endif
-!       volume_flow_offset(1) = ( volume_flow_initial(1) - volume_flow(1) )    &
-!                               / volume_flow_area(1)
-
-!       DO  j = nys-1, nyn+1
-!          DO  k = nzb_v_inner(j,i) + 1, nzt
-!             u(k,j,i) = u(k,j,i) + volume_flow_offset(1)
-!          ENDDO
-!       ENDDO
-
-!    ENDIF
-
     CALL cpu_log( log_point(40), 'inflow_turbulence', 'stop' )
 
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 708)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 709)
@@ -7,5 +7,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! formatting adjustments
 !
 ! Former revisions:
@@ -29,5 +29,5 @@
 ! nxl-1, nxr+1, nys-1, nyn+1 replaced by nxlg, nxrg, nysg, nyng in loops and 
 ! allocation of arrays. Calls of exchange_horiz are modified.
-! Call ws_init to initialize arrays needed for statistical evaluation and 
+! Call ws_init to initialize arrays needed for calculating statisticas and for
 ! optimization when ws-scheme is used.
 ! Initial volume flow is now calculated by using the variable hom_sum.
@@ -35,6 +35,6 @@
 ! removed (removed u_nzb_p1_for_vfc and v_nzb_p1_for_vfc) 
 ! Changed surface boundary conditions for u and v in case of ibc_uv_b == 0 from
-! mirror bc to dirichlet boundary conditions (u=v=0), so that k=nzb is 
-! representative for the height z0 
+! mirror to Dirichlet boundary conditions (u=v=0), so that k=nzb is 
+! representative for the height z0.
 ! Bugfix: type conversion of '1' to 64bit for the MAX function (ngp_3d_inner) 
 !
@@ -453,13 +453,14 @@
     
 !
-!-- Allocate arrays containing the RK coefficient for right evaluation of 
-!-- perturbation pressure and turbulent fluxes. At this point it is needed
-!-- for right pressure correction during initialization. Further below 
-!-- the real values will be set.
-    ALLOCATE (weight_substep(1:intermediate_timestep_count_max),           &
+!-- Allocate arrays containing the RK coefficient for calculation of 
+!-- perturbation pressure and turbulent fluxes. At this point values are
+!-- set for pressure calculation during initialization (where no timestep
+!-- is done). Further below the values needed within the timestep scheme
+!-- will be set.
+    ALLOCATE( weight_substep(1:intermediate_timestep_count_max), &
               weight_pres(1:intermediate_timestep_count_max) )
-    weight_substep = 1.
-    weight_pres = 1.
-    intermediate_timestep_count = 1 ! needed for simulated_time=0
+    weight_substep = 1.0
+    weight_pres    = 1.0
+    intermediate_timestep_count = 1  ! needed when simulated_time = 0.0
        
 !
@@ -1011,5 +1012,4 @@
 !
 !--    Read binary data from restart file
-
        CALL read_3d_binary
 
@@ -1119,5 +1119,5 @@
 !
 !-- Calculate the initial volume flow at the right and north boundary
-    IF ( conserve_volume_flow ) THEN
+    IF ( conserve_volume_flow )  THEN
 
        volume_flow_initial_l = 0.0
@@ -1128,5 +1128,5 @@
           IF ( nxr == nx )  THEN
              DO  j = nys, nyn
-                DO  k = nzb_2d(j,nx) + 1, nzt
+                DO  k = nzb_2d(j,nx)+1, nzt
                    volume_flow_initial_l(1) = volume_flow_initial_l(1) + &
                                               hom_sum(k,1,0) * dzw(k)
@@ -1138,7 +1138,7 @@
           IF ( nyn == ny )  THEN
              DO  i = nxl, nxr
-                DO  k = nzb_2d(ny,i) + 1, nzt  
+                DO  k = nzb_2d(ny,i)+1, nzt  
                    volume_flow_initial_l(2) = volume_flow_initial_l(2) + &
-                                               hom_sum(k,2,0) * dzw(k)
+                                              hom_sum(k,2,0) * dzw(k)
                    volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)
                 ENDDO
@@ -1150,7 +1150,7 @@
           IF ( nxr == nx )  THEN
              DO  j = nys, nyn
-                DO  k = nzb_2d(j,nx) + 1, nzt
+                DO  k = nzb_2d(j,nx)+1, nzt
                    volume_flow_initial_l(1) = volume_flow_initial_l(1) + &
-                                               u(k,j,nx) * dzw(k)
+                                              u(k,j,nx) * dzw(k)
                    volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)
                 ENDDO
@@ -1160,5 +1160,5 @@
           IF ( nyn == ny )  THEN
              DO  i = nxl, nxr
-                DO  k = nzb_2d(ny,i) + 1, nzt  
+                DO  k = nzb_2d(ny,i)+1, nzt  
                    volume_flow_initial_l(2) = volume_flow_initial_l(2) + &
                                               v(k,ny,i) * dzw(k)
@@ -1171,7 +1171,7 @@
 
 #if defined( __parallel )
-       CALL MPI_ALLREDUCE( volume_flow_initial_l(1), volume_flow_initial(1),&
+       CALL MPI_ALLREDUCE( volume_flow_initial_l(1), volume_flow_initial(1), &
                            2, MPI_REAL, MPI_SUM, comm2d, ierr )
-       CALL MPI_ALLREDUCE( volume_flow_area_l(1), volume_flow_area(1),      &
+       CALL MPI_ALLREDUCE( volume_flow_area_l(1), volume_flow_area(1),       &
                            2, MPI_REAL, MPI_SUM, comm2d, ierr )
 
@@ -1182,6 +1182,6 @@
 
 !
-!--       In case of 'bulk_velocity' mode, volume_flow_initial is overridden
-!--       and calculated from u|v_bulk instead.
+!--    In case of 'bulk_velocity' mode, volume_flow_initial is calculated
+!--    from u|v_bulk instead
        IF ( TRIM( conserve_volume_flow_mode ) == 'bulk_velocity' )  THEN
           volume_flow_initial(1) = u_bulk * volume_flow_area(1)
@@ -1208,5 +1208,5 @@
 !
 !-- Initialization of the leaf area density
-     IF ( plant_canopy ) THEN
+    IF ( plant_canopy )  THEN
  
        SELECT CASE ( TRIM( canopy_mode ) )
@@ -1218,5 +1218,5 @@
                    lad_s(:,j,i) = lad(:)
                    cdc(:,j,i)   = drag_coefficient
-                   IF ( passive_scalar ) THEN
+                   IF ( passive_scalar )  THEN
                       sls(:,j,i) = leaf_surface_concentration
                       sec(:,j,i) = scalar_exchange_coefficient
@@ -1240,5 +1240,5 @@
        CALL exchange_horiz( cdc, nbgp )
 
-       IF ( passive_scalar ) THEN
+       IF ( passive_scalar )  THEN
           CALL exchange_horiz( sls, nbgp )
           CALL exchange_horiz( sec, nbgp )
@@ -1255,5 +1255,5 @@
           DO  j = nys, nyn
              DO  k = nzb, nzt+1 
-                IF ( lad_s(k,j,i) > 0.0 ) THEN
+                IF ( lad_s(k,j,i) > 0.0 )  THEN
                    lad_u(k,j,i)   = lad_s(k,j,i) 
                    lad_u(k,j,i+1) = lad_s(k,j,i)
@@ -1277,5 +1277,5 @@
 !
 !--    Initialisation of the canopy heat source distribution
-       IF ( cthf /= 0.0 ) THEN
+       IF ( cthf /= 0.0 )  THEN
 !
 !--       Piecewise evaluation of the leaf area index by 
@@ -1313,5 +1313,5 @@
           shf(:,:) = canopy_heat_flux(0,:,:)
 
-          IF ( ASSOCIATED( shf_m ) ) shf_m = shf
+          IF ( ASSOCIATED( shf_m ) )  shf_m = shf
 
        ENDIF
@@ -1346,23 +1346,29 @@
 
 !
-!-- Setting weighting factors for right evaluation of perturbation pressure 
-!-- and turbulent quantities during the RK substeps.                
-    IF ( TRIM(timestep_scheme) == 'runge-kutta-3' )  THEN    ! RK3       
+!-- Setting weighting factors for calculation of perturbation pressure 
+!-- and turbulent quantities from the RK substeps                
+    IF ( TRIM(timestep_scheme) == 'runge-kutta-3' )  THEN      ! for RK3-method
+
        weight_substep(1) = 0.166666666666666
        weight_substep(2) = 0.3
        weight_substep(3) = 0.533333333333333
-          
-       weight_pres(1) = 0.333333333333333
-       weight_pres(2) = 0.416666666666666
-       weight_pres(3) = 0.25          
-    ELSEIF ( TRIM(timestep_scheme) == 'runge-kutta-2' )  THEN  ! RK2       
+
+       weight_pres(1)    = 0.333333333333333
+       weight_pres(2)    = 0.416666666666666
+       weight_pres(3)    = 0.25
+
+    ELSEIF ( TRIM(timestep_scheme) == 'runge-kutta-2' )  THEN  ! for RK2-method
+
        weight_substep(1) = 0.5
        weight_substep(2) = 0.5
           
-       weight_pres(1) = 0.5
-       weight_pres(2) = 0.5          
-    ELSE                                                  ! Euler and Leapfrog       
+       weight_pres(1)    = 0.5
+       weight_pres(2)    = 0.5          
+
+    ELSE                                     ! for Euler- and leapfrog-method
+
        weight_substep(1) = 1.0      
-       weight_pres(1) = 1.0                   
+       weight_pres(1)    = 1.0                   
+
     ENDIF
 
@@ -1476,8 +1482,8 @@
 
 !
-!-- Initialize local summation arrays for UP flow_statistics. This is necessary
-!-- because they may not yet have been initialized when they are called from 
-!-- flow_statistics (or - depending on the chosen model run - are never 
-!-- initialized)
+!-- Initialize local summation arrays for routine flow_statistics.
+!-- This is necessary because they may not yet have been initialized when they
+!-- are called from flow_statistics (or - depending on the chosen model run -
+!-- are never initialized)
     sums_divnew_l      = 0.0
     sums_divold_l      = 0.0
@@ -1492,5 +1498,5 @@
 !
 !-- User-defined initializing actions. Check afterwards, if maximum number
-!-- of allowed timeseries is not exceeded
+!-- of allowed timeseries is exceeded
     CALL user_init
 
Index: palm/trunk/SOURCE/init_coupling.f90
===================================================================
--- palm/trunk/SOURCE/init_coupling.f90	(revision 708)
+++ palm/trunk/SOURCE/init_coupling.f90	(revision 709)
@@ -4,4 +4,5 @@
 ! Current revisions:
 ! -----------------
+! formatting adjustments
 !
 ! Former revisions:
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 708)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 709)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! formatting adjustments
 !
 ! Former revisions:
@@ -89,9 +89,10 @@
     
 !
-!   Computation of the array bounds.
+!-- Calculation of horizontal array bounds including ghost layers
     nxlg = nxl - nbgp
     nxrg = nxr + nbgp
     nysg = nys - nbgp
     nyng = nyn + nbgp
+
 !
 !-- Allocate grid arrays
@@ -196,13 +197,13 @@
     
 !    
-!-- In case of FFT method or SOR swap inverse grid lenght ddzu to ddzu_fft and 
-!-- modify the lowest entry. This is necessary for atmosphere runs, because
-!-- zu(0) and so ddzu(1) changed. Accompanied with this modified arrays 
-!-- pressure solver uses wrong values and this causes kinks in the profiles
-!-- of turbulent quantities.  
-    IF ( psolver /= 'multigrid' ) THEN
+!-- The FFT- SOR-pressure solvers assume grid spacings of a staggered grid
+!-- everywhere. For the actual grid, the grid spacing at the lowest level
+!-- is only dz/2, but should be dz. Therefore, an additional array
+!-- containing with appropriate grid information is created for these
+!-- solvers.
+    IF ( psolver /= 'multigrid' )  THEN
        ALLOCATE( ddzu_pres(1:nzt+1) )
        ddzu_pres = ddzu
-       IF( .NOT. ocean ) ddzu_pres(1) = ddzu_pres(2)
+       IF( .NOT. ocean )  ddzu_pres(1) = ddzu_pres(2)  ! change for lowest level
     ENDIF   
 
@@ -221,8 +222,10 @@
        dzu_mg(:,maximum_grid_level) = dzu
 !       
-!--    To ensure a equally spaced grid. For ocean runs this is not necessary, 
+!--    Next line to ensure an equally spaced grid. For ocean runs this is not
+!--    necessary, 
 !--    because zu(0) does not changed so far. Also this would cause errors 
 !--    if a vertical stretching for ocean runs is used.
        IF ( .NOT. ocean ) dzu_mg(1,maximum_grid_level) = dzu(2)
+
        dzw_mg(:,maximum_grid_level) = dzw
        nzt_l = nzt
@@ -1132,6 +1135,5 @@
 
 !
-!-- Need to set lateral boundary conditions for l_wall
-
+!-- Set lateral boundary conditions for l_wall
     CALL exchange_horiz( l_wall, nbgp )
 
